## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate dlopen2

Name:           rust-dlopen2
Version:        0.7.0
Release:        %autorelease
Summary:        Library for opening and operating on dynamic link libraries

License:        MIT
URL:            https://crates.io/crates/dlopen2
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          dlopen2-fix-metadata-auto.diff
# https://github.com/OpenByteDev/dlopen2/issues/12
Source100:      https://raw.githubusercontent.com/OpenByteDev/dlopen2/master/LICENSE

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  dos2unix

%global _description %{expand:
Library for opening and operating on dynamic link libraries (also known
as shared objects or shared libraries).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+derive-devel %{_description}

This package contains library source intended for building other packages which
use the "derive" feature of the "%{crate}" crate.

%files       -n %{name}+derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dlopen2_derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dlopen2_derive-devel %{_description}

This package contains library source intended for building other packages which
use the "dlopen2_derive" feature of the "%{crate}" crate.

%files       -n %{name}+dlopen2_derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+doc_cfg-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+doc_cfg-devel %{_description}

This package contains library source intended for building other packages which
use the "doc_cfg" feature of the "%{crate}" crate.

%files       -n %{name}+doc_cfg-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+symbor-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+symbor-devel %{_description}

This package contains library source intended for building other packages which
use the "symbor" feature of the "%{crate}" crate.

%files       -n %{name}+symbor-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wrapper-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wrapper-devel %{_description}

This package contains library source intended for building other packages which
use the "wrapper" feature of the "%{crate}" crate.

%files       -n %{name}+wrapper-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
cp -pav %{SOURCE100} .
# https://github.com/OpenByteDev/dlopen2/issues/13
dos2unix --keepdate README.md src/raw/unix.rs

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * Skipped tests require an example shared library, sources for which are not
#   included in the crate
%cargo_test -- -- --exact --skip example_address_info --skip open_play_close_raw --skip open_play_close_symbor --skip open_play_close_symbor_api --skip open_play_close_wrapper_api
%endif

%changelog
## START: Generated by rpmautospec
* Tue Jul 23 2024 Jonathan Steffan <jsteffan@fedoraproject.org> - 0.7.0-2
- Add rust2rpm toml configuration.

* Tue Jul 23 2024 Jonathan Steffan <jsteffan@fedoraproject.org> - 0.7.0-1
- Initial import (fedora#2292542).
## END: Generated by rpmautospec
